Update contact protection period settings
curl --request PUT \
--url https://your-instance.example.com/api/organizations/{organizationId}/contact-protection-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactProtectionPeriod": 48
}
'import requests
url = "https://your-instance.example.com/api/organizations/{organizationId}/contact-protection-settings"
payload = { "contactProtectionPeriod": 48 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactProtectionPeriod: 48})
};
fetch('https://your-instance.example.com/api/organizations/{organizationId}/contact-protection-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Contact protection settings updated",
"data": {
"contactProtectionPeriod": 48
}
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}Organizations
Update contact protection period settings
Updates the contact protection period (non-negative integer hours, capped at 720 = 30 days). Admin can update own org; SuperAdmin can update any org.
PUT
/
api
/
organizations
/
{organizationId}
/
contact-protection-settings
Update contact protection period settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Hours; capped at 720 (30 days)
Required range:
0 <= x <= 720⌘I